Search documentation of ExStreamClient

# ExStreamClient.Model.S3Request (ExStreamClient v0.1.10)

View Source

Schema representing a S3Request

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.S3Request{
      s3_api_key: String.t() | nil,
      s3_custom_endpoint_url: String.t() | nil,
      s3_region: String.t(),
      s3_secret: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()